> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gemini Format

> Return the list of available models in Gemini API format



## OpenAPI

````yaml api-reference/en/openapi.json GET /v1beta/models
openapi: 3.0.0
info:
  title: Overseas Expansion Camp API Reference Documentation
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI format (Chat)
  - name: OpenAI Format (Responses)
  - name: Gemini Format for Image Generation
  - name: Image generationOpenAI DALL-E format
  - name: List models
  - name: Video generationHappyHorse and Wan
  - name: Video generation Kling format
  - name: Video generation Omni and Veo formats
  - name: Video generation Seedance
  - name: Video generation Sora compatible formats
  - name: Video generation Vidu
  - name: Music generation task format
paths:
  /v1beta/models:
    get:
      tags:
        - List models
      summary: Get Gemini Format
      description: Return the list of available models in Gemini API format
      operationId: listModelsGemini
      parameters: []
      responses:
        '200':
          description: Successfully retrieved the model list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeminiModelsResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    GeminiModelsResponse:
      type: object
      properties:
        models:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                example: models/gemini-pro
              version:
                type: string
              displayName:
                type: string
              description:
                type: string
              inputTokenLimit:
                type: integer
              outputTokenLimit:
                type: integer
              supportedGenerationMethods:
                type: array
                items:
                  type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication.
        Format: `Authorization: Bearer sk-xxxxxx`

````